# set Photon Position

Change the position of the photon

```sig
light.createStrip().setPhotonPosition(0)
```

The photon will be reposition to the given index. If the index is out of bounds, it will be wrapped.

## Parameters

* **index**: index of the light where the photon will go

## Examples #exsection

## See also

[``||photon forward||``](/reference/light/neopixelstrip/photon-forward),
[``||photon flip||``](/reference/light/neopixelstrip/photon-flip),
[``||set photon pen color||``](/reference/light/neopixelstrip/set-photon-pen-color)

```package
light
```


